﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
         CodeBehind="Default.aspx.cs" Inherits="KMeansWebRole._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <span class="style1"><strong>KMeans Clustering Sample</strong></span><br />
    <asp:Table ID="Table1" runat="server" Width="95%">
        <asp:TableRow>
            <asp:TableCell>Job Name
            </asp:TableCell>
            <asp:TableCell>
                <asp:TextBox ID="JobNameTB" runat="server"></asp:TextBox></asp:TableCell>
        </asp:TableRow>
        <asp:TableRow runat="server">
            <asp:TableCell>
                Select the input data container</asp:TableCell>
            <asp:TableCell>
                <asp:DropDownList ID="BlobContainerDD" runat="server" DataSourceID="BlobContainersDataSource"
                                  DataTextField="Uri" DataValueField="Name">
                </asp:DropDownList>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow runat="server">
            <asp:TableCell>
                Initial Centroids</asp:TableCell>
            <asp:TableCell>
                <asp:TextBox ID="initCentroidsBox" runat="server" OnTextChanged="initCentroidsBox_TextChanged"
                             Width="178px">kmcenters/centers400_0len20</asp:TextBox></asp:TableCell>
        </asp:TableRow>
        <asp:TableRow runat="server">
            <asp:TableCell>
                Number of Reducers</asp:TableCell>
            <asp:TableCell>
                <asp:DropDownList ID="NumReducersDD" runat="server">
                    <asp:ListItem>1</asp:ListItem>
                    <asp:ListItem>2</asp:ListItem>
                    <asp:ListItem>3</asp:ListItem>
                    <asp:ListItem>4</asp:ListItem>
                    <asp:ListItem>5</asp:ListItem>
                    <asp:ListItem>6</asp:ListItem>
                    <asp:ListItem>7</asp:ListItem>
                    <asp:ListItem>8</asp:ListItem>
                    <asp:ListItem>9</asp:ListItem>
                    <asp:ListItem>10</asp:ListItem>
                </asp:DropDownList>
            </asp:TableCell>
        </asp:TableRow>
    </asp:Table>
    <asp:Button ID="Button1" runat="server" onclick="Button1_Click" 
                Text="Submit Job" />
    <asp:Label ID="AlertLabel" runat="server"></asp:Label>
    <asp:ObjectDataSource ID="BlobContainersDataSource" runat="server" 
                          SelectMethod="GetContainers" TypeName="KMeansWebRole.DataSource">
    </asp:ObjectDataSource>
    &nbsp;&nbsp;&nbsp; 
</asp:Content>